pipeline:
  misc:
    group: prepare
    image: alpine
    commands:
      - apk add --no-cache make wget
      - make fonts

  inkscape:
    group: prepare
    image: jess/inkscape
    commands:
      - apt-get update && apt-get -y install make
      - ./compile.sh inkscape

  libreoffice:
    group: prepare
    image: jess/libreoffice
    commands:
      - apk add --no-cache make
      - ./compile.sh libreoffice

  revealjs:
    group: prepare
    image: node:alpine
    environment:
      - NODE_ENV=production
    commands:
      - apk add --no-cache make
      - ./compile.sh revealjs

  latex:
    group: build
    image: tianon/latex
    commands:
      - ./compile.sh latex

  publish:
    image: sbruder/drone-netlify
    secrets: [ "netlify_key" ]
